none
Which Co-installer has to use for Windows 10 wdf Driver. RRS feed

  • Question

  • Hi,

    For KMDF versions 1.11 and 1.9 I'm using wdfcoinstaller1011.dll and wdfcoinstaller1009.dll in Windows 7 Driver development.

    Currently driver has been ported to windows 10 and I'm compiling the source code with KMDF 1.15 library and same mentioned in .inf file too.

    For generating the .cat file which wdfcoinstaller file has to be used here??


    Raj kumar Kamsani

    Wednesday, November 29, 2017 7:03 AM

Answers

  • Your don’t need wdf coinstallers anymore, this started in Windows 8.1. You need to use the wdf version of the minimum os you want to support and that is it

    d -- This posting is provided "AS IS" with no warranties, and confers no rights.

    Wednesday, November 29, 2017 3:31 PM
  • remove the wdf coinstaller DLL reference from your INF. The version will not matter on win10 when you compile with a lower version number. This is true for all WDF releases, the current installed version supports all previously released versions

    d -- This posting is provided "AS IS" with no warranties, and confers no rights.

    Monday, December 4, 2017 7:32 AM

All replies

  • Your don’t need wdf coinstallers anymore, this started in Windows 8.1. You need to use the wdf version of the minimum os you want to support and that is it

    d -- This posting is provided "AS IS" with no warranties, and confers no rights.

    Wednesday, November 29, 2017 3:31 PM
  • Hi Doran,

    To generate the .cab file I'm using .dll file while compiling drive for Windows 10(KMDF network driver for Desktop version). And the same KMDF library version I'm mentioning in .inf file too.

    Will KMDF version matters when we compile for windows 10 with lower KMDF versions.


    Raj kumar Kamsani

    Saturday, December 2, 2017 10:59 AM
  • remove the wdf coinstaller DLL reference from your INF. The version will not matter on win10 when you compile with a lower version number. This is true for all WDF releases, the current installed version supports all previously released versions

    d -- This posting is provided "AS IS" with no warranties, and confers no rights.

    Monday, December 4, 2017 7:32 AM
  • Thanks Doron. It's resolved my issue.

    Raj kumar Kamsani

    Monday, December 4, 2017 10:06 AM